package com.flamenk;

/**
 * A collection of html tag constants that can be
 * returned calling {@link com.flamenk.dom.HtmlNode#getName()}.
 *
 * @author TorindoNesci
 */
public final class TagConstants {
  
  private TagConstants() {
  
  }
  
  public static final String HTML = "html";
  public static final String HEAD = "head";
  public static final String BODY = "body";
  
  public static final String TEXT = "#text";
  public static final String DIV = "div";
  public static final String ARTICLE = "article";
  public static final String SCRIPT = "script";
  public static final String NOSCRIPT = "noscript";
  public static final String STYLE = "style";
  public static final String DATA = "#data";
  public static final String COMMENT = "#comment";
  public static final String DOCTYPE = "#doctype";
  public static final String PRE = "pre";
  public static final String IMG = "img";
  public static final String SPAN = "span";
  
  public static final String CODE = "code";
  public static final String P = "p";
  public static final String A = "a";
  public static final String B = "b";
  public static final String I = "i";
  public static final String EM = "em";
  public static final String STRONG = "strong";
  public static final String SUP = "sup";
  
  public static final String BR = "br";
  public static final String H1 = "h1";
  public static final String H2 = "h2";
  public static final String H3 = "h3";
  public static final String H4 = "h4";
  public static final String H5 = "h5";
  public static final String H6 = "h6";
  
  //Table
  public static final String TABLE = "table";
  public static final String TD = "td";
  public static final String TR = "tr";
  public static final String TH = "th";
  public static final String TBODY = "tbody";
  public static final String THEAD = "thead";
  public static final String TFOOT = "tfoot";
  
  //List
  public static final String LI = "li";
  public static final String OL = "ol";
  public static final String UL = "ul";
  
  //
  public static final String APPLET = "applet";
  public static final String LINK = "link";
  public static final String AREA = "area";
  public static final String AUDIO = "audio";
  public static final String BUTTON = "button";
  public static final String CANVAS = "canvas";
  public static final String FORM = "form";
  public static final String INPUT = "input";
  public static final String TEXTAREA = "textarea";
  public static final String FIELDSET = "fieldset";
  public static final String EMBED = "embed";
  public static final String KEYGEN = "keygen";
  public static final String MAP = "map";
  public static final String OBJECT = "object";
  public static final String SOURCE = "source";
  public static final String VIDEO = "video";
  public static final String IFRAME = "iframe";
  
  public static final String FB_LIKE = "fb:like";
}
